--
-- Gyrophare
-- Specialization for turning lights for low config.
-- Version 2 : allows multiple turning lights and uses modDesc input bindings' system.
-- @author  Bayn ( www.tsforum3.com )
-- @date  27/09/09
--

Gyrophare = {};

function Gyrophare.prerequisitesPresent(specializations)
    return true
end;

function Gyrophare:load(xmlFile)

	self.numTurningLight = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.TurningLights#count"), 0);
	self.TurningLight = {};
	
	for i=1, self.numTurningLight do
	self.TurningLight[i] = {};
	local partnamei = string.format("vehicle.TurningLights.TurningLight".."%d",i);
	self.TurningLight[i].object = Utils.indexToObject(self.components, getXMLString(xmlFile, partnamei .. "#index"));
	self.TurningLight[i].rotNode = Utils.indexToObject(self.components, getXMLString(xmlFile, partnamei .."#rotNode"));
    self.TurningLight[i].lightFace = Utils.indexToObject(self.components, getXMLString(xmlFile, partnamei .."#lightFace"));
    self.TurningLight[i].speed = Utils.getNoNil(getXMLInt(xmlFile, partnamei .."#rotSpeed"), 1)/1000;
	end;
	self.TurningLightOn = false;
		
end;

function Gyrophare:delete()
end;

function Gyrophare:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Gyrophare:keyEvent(unicode, sym, modifier, isDown)
end;

function Gyrophare:update(dt)

   if self:getIsActiveForInput() then
      if InputBinding.hasEvent(InputBinding.GYROPHARE)  then
            self.TurningLightOn = not self.TurningLightOn;
      end;
   end;
	
	if self.TurningLightOn then
		for i=1, self.numTurningLight do
			rotate(self.TurningLight[i].rotNode, 0, dt*self.TurningLight[i].speed, 0);
			setVisibility(self.TurningLight[i].lightFace, true);
		end;	
	else
		for i=1, self.numTurningLight do
			setVisibility(self.TurningLight[i].lightFace, false);
		end;
	end;
	
end;

function Gyrophare:draw()
	if self.TurningLightOn then
		g_currentMission:addExtraPrintText(string.format("Touche %s: Gyrophare OFF", InputBinding.getButtonKeyName(InputBinding.GYROPHARE)));
	else
		g_currentMission:addExtraPrintText(string.format("Touche %s: Gyrophare ON", InputBinding.getButtonKeyName(InputBinding.GYROPHARE)));
	end;
end;

