--
-- Inverseur
-- Specialization for a Power Shift Inverseur.
--
-- @author  Templaer
-- @date  25/04/09
--
-- Copyright (C) Templaer

Inverseur = {};

function Inverseur.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Inverseur:load(xmlFile)
    self.reverse = false;
end;

function Inverseur:delete()
end;

function Inverseur:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Inverseur:keyEvent(unicode, sym, modifier, isDown)
end;

function Inverseur:update(dt)
    if self:getIsActiveForInput() then
	    if InputBinding.hasEvent(InputBinding.INVERSEUR2) then
		    self.reverse = not self.reverse;
        end;
	end;
	
	if self.isEntered then	
        local acceleration = 0;
        if g_currentMission.allowSteerableMoving and not self.playMotorSound then
            acceleration = -InputBinding.getAnalogInputAxis(InputBinding.AXIS_FORWARD);
            if InputBinding.isAxisZero(acceleration) then
                acceleration = -InputBinding.getDigitalInputAxis(InputBinding.AXIS_FORWARD);
            end;
            if math.abs(acceleration) > 0.8 then
                self.motor:setSpeedLevel(0, true)
            end;
            if self.motor.speedLevel ~= 0 and not self.reverse then
                acceleration = 1.0;
			elseif self.motor.speedLevel ~= 0 and self.reverse then
			    acceleration = -1.0;
            end;
		end;
		
        if self.steeringEnabled then		
            if self.firstTimeRun then
                WheelsUtil.updateWheelsPhysics(self, dt, self.lastSpeed, acceleration, false, self.requiredDriveMode)
            end;	
        end;			
	end;
end;

function Inverseur:draw()
   
end;

