
-- by modelleicher + Alex
--

JDInfoHud = {};

function JDInfoHud.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function JDInfoHud:load(xmlFile)


	-- Fendt Info Hud --
	self.hudFendtInfoPosX = 0.65;
    self.hudFendtInfoWidth = 0.30;
    self.hudFendtInfoPosY = 0.40;
    self.hudFendtInfoHeight = 0.36;

	self.infoPanelFendtInfoPath = Utils.getFilename("Hud.png", self.baseDirectory);
	self.hudFendtInfoOverlay = Overlay:new("hudFendtInfoOverlay", self.infoPanelFendtInfoPath, self.hudFendtInfoPosX, self.hudFendtInfoPosY, self.hudFendtInfoWidth, self.hudFendtInfoHeight);

	self.showHudFendtInfo = false;


end;

function JDInfoHud:delete()

     	-- Fendt Info Hud --
    if self.hudFendtInfoOverlay ~= nil then
		self.hudFendtInfoOverlay:delete();
	end;

end;

function JDInfoHud:mouseEvent(posX, posY, isDown, isUp, button)
end;

function JDInfoHud:keyEvent(unicode, sym, modifier, isDown)
end;

function JDInfoHud:update(dt)

    if self:getIsActiveForInput() and self.isEntered then
    

		if InputBinding.hasEvent(InputBinding.HUDINFOJD) then
		    self.showHudFendtInfo = not self.showHudFendtInfo;
		end;
		


   		

	end;			 

end;

function JDInfoHud:draw()


  	if self.showHudFendtInfo and self.isEntered then
		self.hudFendtInfoOverlay:render();
	end;

end;

